com.hazelcast.jet.function

## Interface PredicateEx<T>

- All Superinterfaces:
    Predicate<T>, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface PredicateEx<T>
      extends Predicate<T>, Predicate<T>, Serializable

  `Serializable` variant of `java.util.function.Predicate` which declares checked exception.
  Since:
    3.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> PredicateEx<T>` | `alwaysFalse()` Returns a predicate that always evaluates to `false`.
    `static <T> PredicateEx<T>` | `alwaysTrue()` Returns a predicate that always evaluates to `true`.
    `default PredicateEx<T>` | `and(PredicateEx<? super T> other)` `Serializable` variant of `java.util.function.Predicate#and(Predicate)`.
    `static <T> PredicateEx<T>` | `isEqual(Object other)` `Serializable` variant of `java.util.function.Predicate#isEqual(Object)`.
    `default PredicateEx<T>` | `negate()` `Serializable` variant of `Predicate.negate()`.
    `default PredicateEx<T>` | `or(PredicateEx<? super T> other)` `Serializable` variant of `java.util.function.Predicate#or(Predicate)`.
    `default boolean` | `test(T t)` Evaluates this predicate on the given argument.
    `boolean` | `testEx(T t)` Exception-declaring version of `Predicate.test(T)`.

    - ### Methods inherited from interface java.util.function.Predicate

      `and, or`

- - ### Method Detail

    - #### testEx

          boolean testEx(T t)
                  throws Exception

      Exception-declaring version of `Predicate.test(T)`.
      Throws:
        `Exception`

    - #### test

          default boolean test(T t)

      Description copied from interface: `Predicate`
      Evaluates this predicate on the given argument.
      Specified by:
        `test` in interface `Predicate<T>`
      Parameters:
        `t` - the input argument
      Returns:
        `true` if the input argument matches the predicate, otherwise `false`

    - #### alwaysTrue

          @Nonnull
          static <T> PredicateEx<T> alwaysTrue()

      Returns a predicate that always evaluates to `true`.

    - #### alwaysFalse

          @Nonnull
          static <T> PredicateEx<T> alwaysFalse()

      Returns a predicate that always evaluates to `false`.

    - #### isEqual

          @Nonnull
          static <T> PredicateEx<T> isEqual(Object other)

      `Serializable` variant of `java.util.function.Predicate#isEqual(Object)`.

    - #### and

          @Nonnull
          default PredicateEx<T> and(PredicateEx<? super T> other)

      `Serializable` variant of `java.util.function.Predicate#and(Predicate)`.

    - #### negate

          @Nonnull
          default PredicateEx<T> negate()

      `Serializable` variant of `Predicate.negate()`.

    - #### or

          @Nonnull
          default PredicateEx<T> or(PredicateEx<? super T> other)

      `Serializable` variant of `java.util.function.Predicate#or(Predicate)`.

Copyright © 2019. All rights reserved.